Authorization
Generate oAuth2 auth tokens for use with your Services.
Get OAuth2 Token
/oauth2/token
Get an OAuth2 token.
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/v1/oauth2/token" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Exchange OAuth Token
/oauth2/token
Exchange an OAuth token for another, mint a new token via client_credentials for a global service, or complete an authorization_code / refresh_token grant for an MCP client.
Request body
Option 1: any of
Option 2: object
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X POST "https://connect.cambrionix.com/api/v1/oauth2/token" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "audience": "string", "grant_type": "urn:ietf:params:oauth:grant-type:token-exchange", "scope": "string", "subject": "string", "subject_token": "string", "subject_token_type": "string", "subject_type": "string" }'
Get Effective Permissions
/organization/effective-permissions
Get the user or service account the access token was issued to, and every permission it can use in the organization. Use it to check what a token can do before calling an endpoint.
Requires a bearer access token for this API. See Authentication.
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/v1/organization/effective-permissions" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Get Organization OpenId configuration
/organizations/{organizationId}/.well-known/openid-configuration
Get the OpenId configuration of a given organization
Parameters
The Organization id.
Responses
The Organization's OpenId configuration.
Unauthorized
One of: 401
One of: "Unauthorized"
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/v1/organizations/{organizationId}/.well-known/openid-configuration" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Get Authorization Token
/organizations/{organizationId}/oauth2/authorize
Get an authorization token. This method is guaranteed to fail since no response_types are supported.
Requires a bearer access token for this API. See Authentication.
Parameters
The Organization id.
Responses
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/v1/organizations/{organizationId}/oauth2/authorize" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Get Organization Keys
/organizations/{organizationId}/oauth2/keys
Get public keys used to validate API oAuth tokens provided to the organization.
Parameters
The Organization id.
Responses
A list of jwk keys.
Unauthorized
One of: 401
One of: "Unauthorized"
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/v1/organizations/{organizationId}/oauth2/keys" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Exchange Organization OAuth Token (GET)
/organizations/{organizationId}/oauth2/token
Exchange one oAuth token for another.
Parameters
The Organization id.
The grant type. We currently only support token-exchange & client_credentials.
One of: "urn:ietf:params:oauth:grant-type:token-exchange", "client_credentials"
subject token type
One of: "urn:ietf:params:oauth:token-type:access_token"
The id of the API service the token will be used for.
The id of the entity this token is being used by e.g Service ID or User Id.
The the type of subject being used. Either service or user.
One of: "service", "user"
Token (Generated in B2C) used to authenticate the user. Not required if using the client_credentials grant type.
The client_id for the API Service
Scopes requested in final token. These are validated against the roles/permissions of the service/user.
The client_secret for the API Service. Required if using the client_credentials grant type.
Responses
An access token for the given Service
One of: "urn:ietf:params:oauth:token-type:access_token"
One of: "bearer"
Unexpected Error
Try it
curl -X GET "https://connect.cambrionix.com/api/v1/organizations/{organizationId}/oauth2/token?grant_type=<grant_type>&subject_token_type=<subject_token_type>&audience=<audience>&subject=<subject>&subject_type=<subject_type>" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Exchange Organization OAuth Token (POST)
/organizations/{organizationId}/oauth2/token
Exchange one oAuth token for another.
Parameters
The Organization id.
The grant type. We currently only support token-exchange & client_credentials.
One of: "urn:ietf:params:oauth:grant-type:token-exchange", "client_credentials"
subject token type
One of: "urn:ietf:params:oauth:token-type:access_token"
The id of the API service the token will be used for.
The id of the entity this token is being used by e.g Service ID or User Id.
The the type of subject being used. Either service or user.
One of: "service", "user"
Token (Generated in B2C) used to authenticate the user. Not required if using the client_credentials grant type.
The client_id for the API Service
Scopes requested in final token. These are validated against the roles/permissions of the service/user.
The client_secret for the API Service. Required if using the client_credentials grant type.
Responses
An access token for the given Service
One of: "urn:ietf:params:oauth:token-type:access_token"
One of: "bearer"
Unexpected Error
Try it
curl -X POST "https://connect.cambrionix.com/api/v1/organizations/{organizationId}/oauth2/token?grant_type=<grant_type>&subject_token_type=<subject_token_type>&audience=<audience>&subject=<subject>&subject_type=<subject_type>" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"